
package de.ivu.elect.business.search.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.search.entity.BenutzerSuchparameter;
import de.ivu.elect.business.search.boundary.BenutzerSuchparameterDAO;
import de.ivu.elect.business.search.boundary.BenutzerSuchparameterCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractBenutzerSuchparameterCreate {

  @Inject
  protected BenutzerSuchparameterDAO dao;

    @Inject
    transient Event<BenutzerSuchparameterCreateEvent> createEvent;



  


public void save(BenutzerSuchparameter entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(BenutzerSuchparameter entity) {
        createEvent.fire(new BenutzerSuchparameterCreateEvent(entity));
  }

}
